package dev.adriankuta.pixabay.data.model

import dev.adriankuta.pixabay.data.dto.response.PixabayImageResponse
import dev.adriankuta.pixabay.data.room.entity.PixabayImageEntity

data class PixabayImage(
    val id: Int,
    val pageURL: String,
    val type: String,
    val tags: String,
    val previewURL: String,
    val previewWidth: Int,
    val previewHeight: Int,
    val webformatURL: String,
    val webformatWidth: Int,
    val webformatHeight: Int,
    val largeImageURL: String,
    val imageWidth: Int,
    val imageHeight: Int,
    val imageSize: Int,
    val views: Int,
    val downloads: Int,
    val likes: Int,
    val comments: Int,
    val user_id: Int,
    val user: String,
    val userImageURL: String
) {
    internal constructor(entity: PixabayImageEntity) :
            this(
                id = entity.id,
                pageURL = entity.pageURL,
                type = entity.type,
                tags = entity.tags,
                previewURL = entity.previewURL,
                previewWidth = entity.previewWidth,
                previewHeight = entity.previewHeight,
                webformatURL = entity.webformatURL,
                webformatWidth = entity.webformatWidth,
                webformatHeight = entity.webformatHeight,
                largeImageURL = entity.largeImageURL,
                imageWidth = entity.imageWidth,
                imageHeight = entity.imageHeight,
                imageSize = entity.imageSize,
                views = entity.views,
                downloads = entity.downloads,
                likes = entity.likes,
                comments = entity.comments,
                user_id = entity.userId,
                user = entity.user,
                userImageURL = entity.userImageURL
            )

    internal constructor(entity: PixabayImageResponse) :
            this(
                id = entity.id,
                pageURL = entity.pageURL,
                type = entity.type,
                tags = entity.tags,
                previewURL = entity.previewURL,
                previewWidth = entity.previewWidth,
                previewHeight = entity.previewHeight,
                webformatURL = entity.webformatURL,
                webformatWidth = entity.webformatWidth,
                webformatHeight = entity.webformatHeight,
                largeImageURL = entity.largeImageURL,
                imageWidth = entity.imageWidth,
                imageHeight = entity.imageHeight,
                imageSize = entity.imageSize,
                views = entity.views,
                downloads = entity.downloads,
                likes = entity.likes,
                comments = entity.comments,
                user_id = entity.user_id,
                user = entity.user,
                userImageURL = entity.userImageURL
            )
}
