package dev.adriankuta.pixabay.data.network

import dev.adriankuta.pixabay.data.BuildConfig
import dev.adriankuta.pixabay.data.dto.response.SearchPixabayImagesResponse
import retrofit2.http.GET
import retrofit2.http.Query

internal interface PixabayService {

    @GET("api")
    suspend fun searchImages(
        @Query("q") query: String,
        @Query("page") page: Int,
        @Query("per_page") pageSize: Int,
        @Query("key") key: String = BuildConfig.PIXABAY_API_KEY
    ): SearchPixabayImagesResponse

    @GET("api")
    suspend fun searchImageById(
        @Query("id") query: String,
        @Query("key") key: String = BuildConfig.PIXABAY_API_KEY
    ): SearchPixabayImagesResponse
}